{ pkgs ? import <nixpkgs> {}}:
let
  hx = import ./derivations.nix { inherit pkgs; };
in
  pkgs.mkShell {
    buildInputs = [ hx.rustc hx.rust-riscv32imc-crates hx.lld_7 hx.cargo ];
    RUSTFLAGS="-L ${hx.rust-riscv32imc-crates}/lib/rustlib/riscv32imc-unknown-none-elf/lib -C linker=lld";
  }
